## com.lowagie.rups.view.itext.treenodes
Class PdfPageTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          com.lowagie.rups.view.icons.IconTreeNode
              com.lowagie.rups.view.itext.treenodes.PdfObjectTreeNode
                  com.lowagie.rups.view.itext.treenodes.PdfPageTreeNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class PdfPageTreeNode

extends PdfObjectTreeNode

A tree node corresponding with a Page dictionary in a PDF file.

See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` A serial version uid

Fields inherited from class com.lowagie.rups.view.itext.treenodes.PdfObjectTreeNode
`key, number, object, recursive`

Fields inherited from class com.lowagie.rups.view.icons.IconTreeNode
`icon`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`PdfPageTreeNode(PdfDictionary object)` Creates a tree node for a Pages dictionary.

Method Summary

Methods inherited from class com.lowagie.rups.view.itext.treenodes.PdfObjectTreeNode
`getAncestor, getCaption, getDictionaryEntryCaption, getInstance, getInstance, getInstance, getNumber, getPdfObject, isArray, isDictionary, isDictionaryNode, isIndirect, isIndirectReference, isRecursive, isStream, setRecursive`

Methods inherited from class com.lowagie.rups.view.icons.IconTreeNode
`getIcon`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  A serial version uid

  See Also:
    Constant Field Values

Constructor Detail

### PdfPageTreeNode

    public PdfPageTreeNode(PdfDictionary object)

  Creates a tree node for a Pages dictionary.

  Parameters:
    `object` - a PdfDictionary of type pages.

Hosted by Hostbasket